Description (Hamcrest)
Date: 2012-07-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest
Interface Description

All Known Implementing Classes:
  BaseDescription, Description.NullDescription, StringDescription

    public interface Description

A description of a Matcher. A Matcher will describe itself to a description which can later be used for reporting.

See Also:
  `SelfDescribing.describeTo(Description)`

Nested Class Summary
`static class` | `Description.NullDescription`

Field Summary
`static Description` | `NONE` A description that consumes input but does nothing.

Method Summary
`Description` | `appendDescriptionOf(SelfDescribing value)` Appends the description of a `SelfDescribing` value to this description.
`Description` | `appendList(java.lang.String start, java.lang.String separator, java.lang.String end, java.lang.Iterable<? extends SelfDescribing> values)` Appends a list of `SelfDescribing` objects to the description.
`Description` | `appendText(java.lang.String text)` Appends some plain text to the description.
`Description` | `appendValue(java.lang.Object value)` Appends an arbitary value to the description.
`
`<T> Description`
` | `appendValueList(java.lang.String start, java.lang.String separator, java.lang.String end, java.lang.Iterable<T> values)` Appends a list of values to the description.
`
`<T> Description`
` | `appendValueList(java.lang.String start, java.lang.String separator, java.lang.String end, T... values)` Appends a list of values to the description.

Field Detail

### NONE

    static final Description NONE

  A description that consumes input but does nothing.

Method Detail

### appendText

    Description appendText(java.lang.String text)

  Appends some plain text to the description.

### appendDescriptionOf

    Description appendDescriptionOf(SelfDescribing value)

  Appends the description of a `SelfDescribing` value to this description.

### appendValue

    Description appendValue(java.lang.Object value)

  Appends an arbitary value to the description.

### appendValueList

    <T> Description appendValueList(java.lang.String start,
                                    java.lang.String separator,
                                    java.lang.String end,
                                    T... values)

  Appends a list of values to the description.

### appendValueList

    <T> Description appendValueList(java.lang.String start,
                                    java.lang.String separator,
                                    java.lang.String end,
                                    java.lang.Iterable<T> values)

  Appends a list of values to the description.

### appendList

    Description appendList(java.lang.String start,
                           java.lang.String separator,
                           java.lang.String end,
                           java.lang.Iterable<? extends SelfDescribing> values)

  Appends a list of `SelfDescribing` objects to the description.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD